steps:
  - name: age-check
    image: alpine:latest
    commands:
      - cd $CI_WORKSPACE
      - /bin/sh -c 'update-age.sh' && echo "Age check succeeded" || echo "Age check failed"
    when:
      - branch: main
        event: [cron, manual]

  - name: push commit
    image: appleboy/drone-git-push
    settings:
      commit: true
      commit_message: "Update age"
      remote_name: origin
      remote: "$CI_REPO_CLONE_SSH_URL"
      author_name: "Woodpecker CI"
      author_email: "git@polarolouis.fr"
      ssh_key:
        from_secret: SSH-KEY
    when:
      path:
        include: ["infos_persos.tex"]
